%include soas-sugar.ks

bootloader --timeout=1 --append="acpi=force selinux=0"
part / --size 4096 --fstype ext3 --ondisk sda

# Get VirtualBox Guest Additions from RPMFusion
repo --name=rpmfusion-free-released --mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-12&arch=i386
repo --name=rpmfusion-free-updates --mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-released-12&arch=i386
repo --name=rpmfusion-free-updates-testing --mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-testing-12&arch=i386
 
%packages

# virtualbox guest additions
VirtualBox-OSE-guest

# sound (pulseaudio causes audio stuttering under vbox) 
-pulseaudio
-alsa-plugins-pulseaudio

%end

%post --nochroot

# Fix Terminal crash when switching to another activity.
patch $INSTALL_ROOT/home/liveuser/Activities/Terminal.activity/terminal.py << EOF
--- terminal.py	2009-12-21 22:12:06.027828821 -0500
+++ terminal.py.vtefix	2009-12-21 22:11:15.084855179 -0500
@@ -369,9 +369,7 @@
         for i in range(self._notebook.get_n_pages()):
             page = self._notebook.get_nth_page(i)
 
-            def selected_cb(terminal, c, row, cb_data):
-                return 1
-            (scrollback_text, attributes_) = page.vt.get_text(selected_cb, 1)
+            (scrollback_text, attributes_) = page.vt.get_text(None)
 
             scrollback_lines = scrollback_text.split('\n')
 
EOF

%end
