%include fedora-mini-base.ks

repo --name=sugar --baseurl=http://download.sugarlabs.org/soas/repositories/3/

%packages --excludedocs --instLangs en:es:ar:pl:pt_BR:pt:it:fr:ht:el:mn:mr_IN:th:am_ET:km_KH:ne_NP:ur_PK:rw:ja:de:tr:te:ps:fa_AF:si

# sugar!
sugar*

# addtional packages
etoys
gdm

# some removals
-sugar-emulator
-sugar-help
-sugar-xomail

# olpc
dracut-modules-olpc
ohm
olpc-kbdshim

# internet
alpine

# multimedia
gnash-plugin
gtk-recordmydesktop

# system
PackageKit-browser-plugin
gettext
gnome-power-manager
gnugo
gparted
livecd-tools
zyx-liveinstaller

# hardware
b43-openfwwf
libertas-usb8388-firmware

# sound
alsa-plugins-pulseaudio
alsa-utils
gstreamer-plugins-good
gstreamer-plugins-espeak
pulseaudio

# fonts
google-droid-fonts-common
google-droid-sans-fonts
google-droid-sans-mono-fonts
google-droid-serif-fonts

# strip fedora trademarks and use the soas release package
-fedora-logos
-fedora-release
-fedora-release-notes
generic-logos
generic-release
generic-release-notes

%end

%post

cat >> /etc/rc.d/init.d/livesys << EOF
# make sure the fonts are not too big in Sugar
echo "Xft.dpi: 150" > /home/liveuser/.Xresources
chown liveuser:liveuser /home/liveuser/.Xresources

EOF

# permanently set %__dbi_cdb rpm macro to work around jffs2's lack of writeable mmap()
mkdir -p /etc/rpm
echo "%__dbi_cdb create private nommap" > /etc/rpm/macros.rpmdb

# change build strings
echo "SoaS release 3 (Snapshot)" > /etc/fedora-release
echo "cpe://o:sugarlabs:soas:3" > /etc/system-release-cpe

# set up auto-login
cat >> /etc/gdm/custom.conf << FOE
[daemon]
AutomaticLoginEnable=true
AutomaticLogin=liveuser
FOE

# disable the logout menu item in Sugar
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /desktop/sugar/show_logout false >/dev/null

# disable screensaver locking
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/gnome-screensaver/lock_enabled false >/dev/null

# set sugar power management on
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /desktop/sugar/power/automatic True >/dev/null

# change bug report page in browse
sed -i -e 's/dev.sugarlabs.org/launchpad.net\/soas/' /usr/share/sugar/activities/Browse.activity/data/index.html

# and do so for the e-book page too
sed -i -e 's/schoolserver\//wiki.sugarlabs.org\/go\/Sugar_on_a_Stick\/E-Books/' /usr/share/sugar/activities/Browse.activity/data/index.html
sed -i -e 's/school/books/' /usr/share/sugar/activities/Browse.activity/data/index.html

# add more activities to the favorites
cat > /usr/share/sugar/data/activities.defaults << FOE
com.garycmartin.Moon
org.laptop.AbiWordActivity
org.laptop.Calculate
org.laptop.Chat
org.sugarlabs.InfoSlicer
org.sugarlabs.IRC
org.laptop.Memorize
org.laptop.Pippy
org.laptop.TurtleArtActivity
org.laptop.WebActivity
org.vpri.EtoysActivity
org.laptop.Oficina
org.gnome.Labyrinth
org.laptop.physics
vu.lux.olpc.Speak
org.worldwideworkshop.olpc.JigsawPuzzle
org.laptop.TamTamEdit
org.laptop.TamTamJam
org.laptop.TamTamMini
org.laptop.TamTamSynthLab
org.laptop.sugar.GetIABooksActivity
org.laptop.Arithmetic
com.socialtext.SocialCalcActivity
org.sugarlabs.VisualMatchActivity
edu.mit.media.ScratchActivity
org.laptop.community.TypingTurtle
vu.lux.olpc.Maze
org.laptop.sugar.ReadEtextsActivity
FOE

# set sugar scaling
cat >> /etc/X11/xinit/xinitrc.d/70-sugar-scaling.sh << FOE
#!/bin/bash
# Copyright (C) 2009 Martin Dengler <martin@martindengler.com>
#
# All rights reserved. This copyrighted material is made available to anyone
# wishing to use, modify, copy, or redistribute it subject to the terms and
# conditions of the GNU General Public License version 2 or later.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

# Thanks to Chris Ball for the XO-detection logic
if [ -z "\$SUGAR_SCALING" ]; then
    DMI_PATH=/sys/clas/dmi/id/product_name
    OFW_PATH=/ofw/mfg-data/MN
    IS_XO=\$( ( [ -e \$DMI_PATH ] && cat \$DMI_PATH ) || ( [ -e \$OFW_PATH ] && cut -c -2 < \$OFW_PATH ) )
    export SUGAR_SCALING=72
    if [ "\$IS_XO" = "XO" ]; then
    	SUGAR_SCALING=100
    fi
fi
FOE

chmod 755 /etc/X11/xinit/xinitrc.d/70-sugar-scaling.sh

%end
